Skip to main content
POST
/
requests
curl --request POST \
  --url https://app.cryptoprocessing.com/api/payments/v1/requests \
  --header 'Content-Type: application/json' \
  --header 'X-Processing-Key: <api-key>' \
  --header 'X-Processing-Signature: <x-processing-signature>' \
  --data '
{
  "amount": "100",
  "currency": {
    "iso": "EUR"
  },
  "life_time_duration": 360000,
  "end_user_email": "[email protected]",
  "description": "Order 0512",
  "foreign_id": "test_foreign_id_0512",
  "url_store": "https://example.com/store",
  "sender_type": "legal",
  "sender_data": {
    "legal_name": "Example GmbH",
    "country_of_registration": "DEU"
  }
}
'
{
  "data": {
    "id": "019d511c-9fd2-7e71-b534-74e8abd855f1",
    "amount": "100",
    "currency": {
      "iso": "EUR"
    },
    "status": "created",
    "life_time": 1775542323,
    "end_user_email": "[email protected]",
    "description": "Order 0512",
    "payment_link": "https://payments.cryptoprocessing.com/payment/lLXLZ6Q8lCwFFRbyW0C1ET",
    "foreign_id": "test_foreign_id_0512",
    "url_store": "https://example.com/store"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cryptoprocessing.com/llms.txt

Use this file to discover all available pages before exploring further.

Make sure that the URL that you provide in the url_store field uses the secure HTTPS protocol, uses domain names (not IP addresses) and is considered clean by VirusTotal and similar scanners.

Authorizations

X-Processing-Key
string
header
required

Your API key.

Headers

X-Processing-Signature
string
required

Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.

Body

application/json
amount
string
required

Payment request amount that you want to receive from the customer.

Example:

"100.50"

currency
object
required

The currency you want to receive.

life_time_duration
integer
required

Payment request lifetime (duration in seconds). Include either this parameter or life_time_datetime. At least one of these fields is required.

Example:

3600

life_time_datetime
integer
required

Payment request lifetime (exact expiry timestamp). Include either this parameter or life_time_duration. At least one of these fields is required.

Example:

1773768946

sender_type
enum<string>
required

Whether the sender is a natural person (natural) or a legal entity (legal).

Available options:
natural,
legal
sender_data
object
required

If the sender is a natural person, include their first_name, last_name and date_of_birth. If the sender is a legal entity, include the legal_name and country_of_registration.

payment_currency
object

The currency your customer will pay in. You can set both the currency and network or just the currency.

end_user_email
string

If the amount the customer pays does not match the amount that you set for the payment request, CryptoProcessing will send an email to this address instructing the customer on how they can receive a refund. If they paid less, they will receive a full refund. If they paid more, the customer will get instructions on how to be refunded the difference.

description
string

Payment request description that the customer will see.

Example:

"Order #123"

foreign_id
string

Unique foreign ID in your system. Must not contain personal data, such as the user's name or email address.

Example:

"order_123"

url_store
string

URL of the store page. The customer can click a button on the payment form to return to this URL (for example, if they change their mind or want to pick a different payment method). We recommend setting this to the URL of the checkout page.

Example:

"example.com/store"

url_success
string

URL of the success page. The customer will be able to return to this address once the payment is completed.

Example:

"example.com/success"

url_failed
string

URL of the failed payment page. The customer will be able to return to this address if the payment fails.

Example:

"example.com/fail"

Response

OK

data
object
Last modified on May 5, 2026